## sfftobmp 3.1.2

=== debian/changelog ===
sfftobmp (3.1.2-5) unstable; urgency=low

  * QA upload
  * source format 3.0 (quilt)
    - add debian/source/format
    - drop quilt from build-depends
    - drop explicit (un-)patching from debian/rules
  * Change build-dependency on libjpeg62-dev to libjpeg-dev (closes: #635087)

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Jul 2011 23:34:35 +0200

sfftobmp (3.1.2-4) unstable; urgency=low

  [ Daniel Echeverry ]
  * QA upload.
  * Fix the FTBFS with the new Boost libs. Closes: #625041
    + Thanks to Konstantinos Margaritis for the patch.	
  * debian/control
    + Bumped standard versions 3.9.2 (no changes)
    + Changed debhelper to 7.0.50 in B-D
  * debian/compat
    + Switch compat level 5 to 7
  
  [ Sven Hoexter ]
  * Fix the debian/watch file.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 30 May 2011 19:35:34 -0500

sfftobmp (3.1.2-3) unstable; urgency=low

  * QA upload.
  * Adjust 01-fix-ftbfs-with-new-boost.diff so sfftobmp also links to
    boost_system and avoids indirect linking (Closes: #556343)
  * Fix debian-rules-ignores-make-clean-errors
  * Add ${misc:Depends}
  * Add README.source for quilt patch system
  * Update standards version to 3.9.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Oct 2010 23:49:26 -0400

sfftobmp (3.1.2-2) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with new boost versions, now that only multi-threaded
    variants are available for all boost components. To that effect, link
    against “boost_filesystem-mt”, adding the “-mt” suffix. Also make sure
    a “modern” version of boost is installed by using “>= 1.37” in the
    Build-Depends (Closes: #530479):
     - 01-fix-ftbfs-with-new-boost.diff
  * Fix FTBFS with gcc-4.4, using a patch by Martin Michlmayr, thanks
    (Closes: #525881):
     - 02-fix-ftbfs-with-gcc-4.4.diff
  * Add quilt to Build-Depends and adapt debian/rules to deal with
    patches.
  * Move Homepage to the Source stanza (Closes: #520743).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Jul 2009 18:03:41 +0200

sfftobmp (3.1.2-1) unstable; urgency=low

  * New upstream version.
  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Mar 2009 22:42:44 +0100

sfftobmp (3.1-1) unstable; urgency=low

  * New upstream version.
  * Fix build failures with g++-4.3. Closes: #455668.
  * Update watch file. Closes: #450218.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 21:44:26 +0100

sfftobmp (3.0-7.1) unstable; urgency=low

  * NMU, with the blessing of the maintainer.
  * Drop the -st suffix. Thanks, boost.

 -- Steve Kowalik <stevenk@debian.org>  Fri, 14 Sep 2007 00:18:52 +1000

sfftobmp (3.0-7) unstable; urgency=low

  * Link using the single threaded boost libraries. Closes: #425927.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Jul 2007 22:48:07 +0200

sfftobmp (3.0-6) unstable; urgency=low

  * Rebuild using g++-4.1.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 15:21:38 +0000

sfftobmp (3.0-5) unstable; urgency=low

  * Rebuild using g++-4.0.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:09:15 +0000

sfftobmp (3.0-4) unstable; urgency=low

  * Add updated man page (Daniel J. Priem).

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 20:17:13 +0100

sfftobmp (3.0-3) unstable; urgency=low

  * Tighten build dependency on libboost-filesystem-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 10:31:34 +0100

sfftobmp (3.0-2) unstable; urgency=low

  * Fix compilation with gcc-3.4 (closes: #278019).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Nov 2004 19:20:50 +0100

sfftobmp (3.0-1) unstable; urgency=low

  * New upstream version.
  * Packaging fixes.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Sep 2004 21:34:35 +0200

sfftobmp (2.2-7) unstable; urgency=low

  * added homepage URL to long description
  * forgot in last changelog:
    Thx to  Paul van der Vlis and Gernot Hillier for
    reporting and helping to track down the tif_fax3 bug
  * fix distrib in control (was still stable)

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 15 Sep 2004 21:59:46 +0200

sfftobmp (2.2-6) stable; urgency=low

  * recompile again to pick up libtiff4 instead of libtiff3

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 15 Sep 2004 18:20:47 +0200

sfftobmp (2.2-5) stable; urgency=low

  * recompile for sid
  * build-dep on libtiff4-dev

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon,  9 Aug 2004 23:17:39 +0200

sfftobmp (2.2-4) stable; urgency=low

  * fix e-mail in changelog

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 19 Mar 2003 19:11:38 +0100

sfftobmp (2.2-3) stable; urgency=low

  * finish manpage contents (markup still needs polishing. contents
    maybe too ;)

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 19 Mar 2003 19:09:53 +0100

sfftobmp (2.2-2) stable; urgency=low

  * Makefile: minimal fix to not build included tiff and jpeg libs
    but use libjpeg62 anf libtiff3g instead.
  * changelog s/unstable/stable/

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 19 Mar 2003 19:08:55 +0100

sfftobmp (2.2-1) stable; urgency=low

  * Initial Release.
  * added simple sfftobmp manpage

 -- Achim Bohnet <ach@mpe.mpg.de>  Tue, 18 Mar 2003 00:16:44 +0100
