=== debian/control ===
Source: sfftobmp
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libjpeg-dev, libtiff4-dev, libboost-filesystem-dev (>= 1.37)
Standards-Version: 3.9.2
Homepage: http://sfftools.sourceforge.net/sfftobmp.html

Package: sfftobmp
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends}
Description: SFF (Structed Fax File) Converter
 Tool to convert "Structured Fax Files" into Windows bitmaps
 (BMP), Portable Bitmaps (PBM), JPEG Pictures (JPG) and
 single or multipaged TIFF Images.
 .
 SFF means 'Structured Fax File', intended by the CAPI interface
 to be used to save incoming faxes. Within GNU/Linux it's e.g. the
 AVM-B1 card which creates such files.
