=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
http://sf.net/sfftools/sfftobmp([\d\._]*)_src.zip

#opts="uversionmangle=s/_/./g" \
#  http://prdownloads.sourceforge.net/sfftools/sfftobmp_([\d\._]*)_src.zip
