## sfftobmp 3.1.3

=== debian/changelog ===
sfftobmp (3.1.3-6) unstable; urgency=medium

  * debian/rules: Enable all hardening.
  * Update to debhelper compat level 10.
  * Update upstream links to https versions.
  * debian/watch: Fix watched URL so we should actually pick up new upstream
    SVN tags.
  * debian/control: Improve description.
  * debian/control: Mark conformance with policy 4.2.1.
  * debian/changelog: Strip trailing whitespace from older entries.
  * debian/source/lintian-overrides: Move debian/source.lintian-overrides to
    new preferred location.

 -- Olly Betts <olly@survex.com>  Mon, 03 Dec 2018 09:26:23 +1300

sfftobmp (3.1.3-5) unstable; urgency=medium

  * Use autotools-dev to supply newer config.guess and config.sub.
    (Closes: #750591)
  * debian/control: Actually update to "Standards-Version: 3.9.5".
  * Use DEB_CPPFLAGS_MAINT_APPEND to add -D_FILE_OFFSET_BITS=64.

 -- Olly Betts <olly@survex.com>  Wed, 11 Jun 2014 17:43:03 +1200

sfftobmp (3.1.3-4) unstable; urgency=medium

  * Fix to append page index to output filenames, broken by changes in
    boost::filesystem V3.  Thanks to Peter Schaefer for the patch.
    (Closes: #734805)
  * "Standards-Version: 3.9.5" (no changes required).

 -- Olly Betts <olly@survex.com>  Wed, 04 Jun 2014 09:55:06 +1200

sfftobmp (3.1.3-3) unstable; urgency=low

  * Update B-D from libtiff4-dev to libtiff5-dev.
  * Add -D_FILE_OFFSET_BITS=64 to CPPFLAGS to enable LFS.
  * Fix lintian override for outdated-autotools-helper-file for unused embedded
    code copies under win32/.
  * debian/patches/01-fix-typos.patch: Note that this has been applied upstream
    in 3.1.4.

 -- Olly Betts <olly@survex.com>  Tue, 04 Jun 2013 07:19:29 +0000

sfftobmp (3.1.3-2) unstable; urgency=low

  * Link with -lboost-filesystem not -lboost-filesystem-mt.
    (Closes: #709576)
  * debian/copyright: Include copyright and licence info for mygetopt.[ch],
    and also for the embedded code copies under win32/ (which we don't use in
    the debian package build).
  * Upgrade to debhelper compat 9 to enable hardening flags.
  * "Standards-Version: 3.9.4" (no changes required).
  * debian/watch: Update to working version from Bart Martens.

 -- Olly Betts <olly@survex.com>  Thu, 30 May 2013 01:45:27 +0000

sfftobmp (3.1.3-1) unstable; urgency=low

  * New maintainer (Closes: #571979)
  * New upstream version.
    + Incorporates all the patches we were carrying, so drop them.
  * debian/rules: Convert to minimal dh style.
  * debian/control:
    + Fix typo in short description: "Structed" -> "Structured"
    + Update "Homepage" URL - old one was to a subpage which is now 404.
  * debian/sfftobmp.1: Add sffview(1) to "SEE ALSO".  Fix typo: "Structed" ->
    "Structured"
  * debian/sfftobmp.sgml: Remove outdated alternative version of man page,
    which wasn't being used.
  * debian/copyright: Update from doc/copying and remove sfftobmp.sgml licence
    information.
  * debian/README.source: Remove since the package is now "3.0 (quilt)".
  * debian/patches/01-fix-typos.patch: Fix a few typos in docs and code.

 -- Olly Betts <olly@survex.com>  Sun, 27 Nov 2011 10:30:45 +0000
