=== debian/control ===
Source: sfftobmp
Section: graphics
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 10), autotools-dev,
 libjpeg-dev, libtiff5-dev, libboost-filesystem-dev
Standards-Version: 4.2.1
Homepage: https://sourceforge.net/projects/sfftools/

Package: sfftobmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SFF (Structured Fax File) Converter
 Tool to convert "Structured Fax Files" into Windows bitmaps
 (BMP), Portable Bitmaps (PBM), JPEG Pictures (JPG) and
 single or multi-page TIFF Images.
 .
 SFF means 'Structured Fax File', intended by the CAPI interface
 to be used to save incoming faxes. Within GNU/Linux, cards such
 as the AVM-B1 create such files.
