=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://sourceforge.net/p/sfftools/code-0/HEAD/tree/sfftobmp3/tags/ REL_(\d.*)/
